#include <iostream>
using namespace std;

int main()
{
    unsigned short int N, pozicija = 0;
    unsigned int L, H;

    do{
        //cout << "Unesite broj stalaktita (N): ";
        cin >> N;
    }while(N < 1 || N > 1000);
    do{
        //cout << "Unesite Pericinu visinu (L): ";
        cin >> L;
    }while(L < 1 || L > 1e9);
    //cout << '\n';
    //cout << "Unesite visine: " << '\n';
    for(int i = 0; i < N; i++){
        do{
            //cout << "Unesite visinu (H" << i + 1 << "): ";
            cin >> H;
        }while(H < 1 || H > 1e9);
        if(pozicija == 0 && L >= H)
            pozicija = i + 1;
    }
    if(pozicija == 0)
        cout << -1;
    else
        cout << pozicija;
}